#!/usr/bin/env python3

from .easymain import *
from .easydialog import *
from .easytools import *
from .easydocs import LODocuments


def __getattr__(name):
    classes = {
        'active': LODocuments().active,
        'color': Color(),
        'config': Config,
        'dates': Dates,
        'dialog': LODialog,
        'dispatch': LOMain.dispatch,
        'email': Email,
        'filters': LOMain.filters,
        'fonts': LOMain.fonts,
        'hash': Hash,
        'inspect': LOInspect,
        'macro': Macro,
        'paths': Paths,
        'url': URL,
        'shell': Shell,
        'timer': Timer,
    }

    if name in classes:
        return classes[name]

    raise AttributeError(f"module '{__name__}' has no attribute '{name}'")
